%define upstream_name    CGI-Application-Plugin-Forward
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Pass control from one run mode to another
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(CGI::Application)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%{?perl_default_filter}

%description
The forward method passes control to another run mode and returns its
output. This is equivalent to calling '$self->$other_runmode', except that
CGI::Application's internal value of the current run mode is
updated.

This means that calling '$self->get_current_runmode' after calling
'forward' will return the name of the new run mode. This is useful for
modules that depend on the name of the current run mode such as
CGI::Application::Plugin::AnyTemplate.

For example, here's how to pass control to a run mode named 'other_action'
from 'start' while updating the value of 'current_run_mode':

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/CGI


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.60.0-12.mga9
+ Revision: 1817041
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-11.mga8
+ Revision: 1493485
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.60.0-10.mga7
+ Revision: 1265990
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.60.0-9.mga6
+ Revision: 1023429
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.60.0-8.mga6
+ Revision: 969218
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 1.60.0-7.mga6
+ Revision: 864975
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-6.mga5
+ Revision: 744881
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.60.0-5.mga5
+ Revision: 732916
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-4.mga5
+ Revision: 683632
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 509366
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 363491
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 28382
- mageia rebuild
- imported package perl-CGI-Application-Plugin-Forward


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.60.0-1mdv2010.0
+ Revision: 405775
- rebuild using %%perl_convert_version

* Wed Nov 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-1mdv2009.1
+ Revision: 307042
- import perl-CGI-Application-Plugin-Forward


* Wed Nov 26 2008 cpan2dist 1.06-1mdv
- initial mdv release, generated with cpan2dist

